Subject: bug#10330: Compile error for Guile 2.0.3

From: Joris van der Hoeven <[email-masked]>
Date: Wed, 21 Dec 2011 11:32:26 +0100

Hi Ludovic,

On Tue, Dec 20, 2011 at 12:46:40AM +0100, Ludovic Courtès wrote:
> Joris van der Hoeven <[email-masked]> skribis:
> > Under MacOS 10.6.4 with Darwinports for the installation of the dependencies,
> > I get the error(s) below during 'make'.
> 
> Can you try “make V=1” and post the log?  Also, can you show the output
> of “gcc --version”?

(I do not rebuild everything, but just redo make V=1 after the previous unsuccessfull build)

Castafiore:guile-2.0.3 vdhoeven$ make V=1
make  all-recursive
Making all in lib
make  all-recursive
make[4]: Nothing to be done for `all-am'.
Making all in meta
make[2]: Nothing to be done for `all'.
Making all in libguile
make  all-am
/bin/sh ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H   -DBUILDING_LIBGUILE=1 -I.. -I.. -I../lib -I../lib -I/opt/local/lib/libffi-3.0.10/include   -I/opt/local/include -I/opt/local/include -D_THREAD_SAFE  -Wall -Wmissing-prototypes -Wdeclaration-after-statement -Wswitch-enum -fvisibility=hidden -I/opt/local/include   -g -O2 -MT libguile_2.0_la-vm.lo -MD -MP -MF .deps/libguile_2.0_la-vm.Tpo -c -o libguile_2.0_la-vm.lo `test -f 'vm.c' || echo './'`vm.c
libtool: compile:  gcc -DHAVE_CONFIG_H -DBUILDING_LIBGUILE=1 -I.. -I.. -I../lib -I../lib -I/opt/local/lib/libffi-3.0.10/include -I/opt/local/include -I/opt/local/include -D_THREAD_SAFE -Wall -Wmissing-prototypes -Wdeclaration-after-statement -Wswitch-enum -fvisibility=hidden -I/opt/local/include -g -O2 -MT libguile_2.0_la-vm.lo -MD -MP -MF .deps/libguile_2.0_la-vm.Tpo -c vm.c  -fno-common -DPIC -o .libs/libguile_2.0_la-vm.o
libtool: compile:  gcc -DHAVE_CONFIG_H -DBUILDING_LIBGUILE=1 -I.. -I.. -I../lib -I../lib -I/opt/local/lib/libffi-3.0.10/include -I/opt/local/include -I/opt/local/include -D_THREAD_SAFE -Wall -Wmissing-prototypes -Wdeclaration-after-statement -Wswitch-enum -fvisibility=hidden -I/opt/local/include -g -O2 -MT libguile_2.0_la-vm.lo -MD -MP -MF .deps/libguile_2.0_la-vm.Tpo -c vm.c -o libguile_2.0_la-vm.o >/dev/null 2>&1
make[3]: *** [libguile_2.0_la-vm.lo] Error 1
make[2]: *** [all] Error 2
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2

> I suspect an internal compiler error of Apple’s infamous GCC fork.

Castafiore:guile-2.0.3 vdhoeven$ gcc --version
i686-apple-darwin10-gcc-4.2.1 (GCC) 4.2.1 (Apple Inc. build 5664)
Copyright (C) 2007 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Hope that it will help you... --Joris